> ## Documentation Index
> Fetch the complete documentation index at: https://docs.woodcore.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Block Savings Account



## OpenAPI

````yaml POST /savingsaccounts/{savingsId}/block
openapi: 3.0.3
info:
  title: WoodCore API — V2
  version: 1.0.0
  contact: {}
servers:
  - url: https://spark.test.woodcore.co/api/v2
security:
  - bearerAuth: []
tags:
  - name: Customers
    description: >-
      Customers on WoodCore are your end-users, they can be individuals or
      organizations that make use of your product.


      > A classic example will be Mark Darling, Mark wants to open an account
      with ABC Banking Ltd, ABC Banking Ltd will then use the resource below to
      create Mark's as a customer on WoodCore.


      Customers can be created in a **Pending** or **Active** state.


      In an attempt to create a customer for the first time, it is optional to
      create a deposit account for the customer on the go!!!. i.e. You can
      create a CIF (Customer Information File) and a Deposit account and block
      the Deposit account from making transactions until KYC requirements are
      met.
  - name: Deposit Accounts
    description: >-
      Savings accounts are instances of a particular savings product created for
      an individual or group. An application process around the creation of
      accounts is also supported.


      | Starting State | Action | Resultant State |

      | --- | --- | --- |

      | \- | Submit | Submitted and pending approval |

      | Submitted and pending approval | Reject | Closed - Rejected |

      | Submitted and pending approval | Withdrawn by Applicant | Closed -
      Withdrawn by Applicant |

      | Submitted and pending approval | Approve | Approved |

      | Approved | Undo Approval | Submitted and pending approval |

      | Approved | Activate | Active |
  - name: Transactions
    description: |-
      These are the transactions possible on a savings account.

      **Common Field Descriptions**

      | Field | Description |
      | ----------- | ----------- |
      | transactionDate | The date of the transaction |
      | transactionAmount | The amount of the transaction |
  - name: Lien
    description: >-
      Lien is an amount that can be held on a savings account. The held amount
      cannot be withdrawn
  - name: ISO Block
    description: >-
      This resource blocks a Savings account from all types of credit and debit
      transactions.
  - name: Transaction Reader
  - name: Charges
    description: >-
      Savings Charges are instances of Charges and represent either fees and
      penalties for savings products. Refer to **Charges** for documentation of
      the various properties of a charge, Only additional properties ( specific
      to the context of a Charge being associated with a Savings account) are
      described here.


      **Field Descriptions**


      | Field | Description |

      | --- | --- |

      | amountPaid | The Total amount which has been paid for this Charge |

      | amountWaived | The Total amount that has been waived for this Charge |

      | amountWrittenOff | Total amount written off from this Charge |

      | amountWrittenOff | The Total outstanding amount for this Charge |
  - name: Fixed Deposit
    description: >-
      Fixed Deposit accounts are instances of a particular fixed deposit product
      created. An application process around the creation of accounts is also
      supported.


      **Field Descriptions**


      | Params | Description |

      | --- | --- |

      | **clientId** | The client you are creating the fixed deposit account
      for. |

      | **productId** | The id of the product used for this fixed deposit
      account. The fixed deposit account inherits the selected currency of the
      product and possibly other details if not overridden in the fixed deposit
      account creation request |

      | **accountNo** | The account no. associated with this fixed deposit. Is
      auto generated if not provided at creation time. |

      | **externalId** | A place to put an external reference for this fixed
      deposit account useful in migrations e.g. The ID another system uses. If
      provided, it must be unique. |

      | **submittedOnDate** | submittedOnDate must be provided when initially
      creating fixed deposit account application. locale and dateFormat
      parameters must be provided with this. |

      | **interestCompoundingPeriodType** | The period at which interest rate is
      compounded. 1=Daily, 4=Monthly (at end of month) |

      | **interestPostingPeriodType** | The period at which interest rate is
      posted or credited to fixed deposit account. The actual crediting or
      posting transaction is date as occurring on the day after the end of the
      period. 4=Monthly (at end of month), 5=Quarterly (at end of quarter, 31st
      Mar, 30th Jun, 30th Sep, 31st Dec), 7=Annually (at end of calendar year
      31st Dec) |

      | **interestCalculationType** | The interest calculation method used:
      1=Daily Balance or 2=Average Daily Balance |

      | **interestCalculationDaysInYearType** | The setting for number of days
      in year to use: 360=360 Days, 365=365 Days |

      | **lockinPeriodFrequency** | *Optional*: If provided, used along with
      lockinPeriodFrequencyType to indicate the length of time that the fixed
      deposit account is 'locked in' and withdrawals are not allowed. e.g. 6
      Months. |

      | **lockinPeriodFrequencyType** | *Optional*: If provided, used along with
      lockinPeriodFrequency to indicate the length of time that the fixed
      deposit account is 'locked in' and withdrawals are not allowed. 0=Days,
      1=Weeks, 2=Months, 3=Years e.g. 6 Months |

      | **depositAmount** | The fixed deposit amount for which interest is
      provided on maturity. |

      | **depositPeriod** | Used along with depositPeriodFrequencyId to define
      term for which amount is deposited in fixed deposit. e.g. 6 Months. |

      | **depositPeriodFrequencyId** | Used along with depositPeriod to define
      term for which amount is deposited in fixed deposit. 0=Days, 1=Weeks,
      2=Months, 3=Years e.g. 6 Months. |

      | **minDepositTerm** | This is used along with minDepositTermTypeId to
      define allowed minimum deposit term for creating a fixed deposit account
      using this product. e.g. 6 Months. |

      | **minDepositTermTypeId** | Used along with minDepositTerm to define
      allowed minimum deposit term for creating a fixed deposit account using
      this product. 0=Days, 1=Weeks, 2=Months, 3=Years e.g. 6 Months |

      | **maxDepositTerm** | *Optional*: If provided, used along with
      maxDepositTermTypeId to define allowed maximum deposit term for creating a
      fixed deposit account using this product. e.g. 3 Years |

      | **maxDepositTermTypeId** | *Optional*: If provided, used along with
      maxDepositTerm to define allowed maximum deposit term for creating a fixed
      deposit account using this product. 0=Days, 1=Weeks, 2=Months, 3=Years
      e.g. 3 Years. |

      | **inMultiplesOfDepositTerm** | *Optional*: If provided, used along with
      inMultiplesOfDepositTermTypeId to indicate the allowed deposit periods
      after minimum deposit period. e.g. If |

      | **inMultiplesOfDepositTerm** | is 3 Months then the next allowed deposit
      period after minimum deposit of 6 Months should be 9 Months.. |

      | **inMultiplesOfDepositTermTypeId** | *Optional*: If provided, used along
      with inMultiplesOfDepositTerm to indicate the allowed deposit periods
      after minimum deposit period. 0=Days, 1=Weeks, 2=Months, 3=Years e.g. If
      inMultiplesOfDepositTerm is 3 Months then the next allowed deposit period
      after minimum deposit of 6 Months should be 9 Months |

      | **preClosurePenalApplicable** | *Optional*: expects boolean value
      true/false, If provided as true then must provide preClosurePenalInterest
      and preClosurePenalInterestOnTypeId. |

      | **preClosurePenalInterest** | The client you are creating the fixed
      deposit account for. |

      | **clientId** | *Optional*: Must provide when preClosurePenalApplicable
      is true. Used along with preClosurePenalInterestOnTypeId to apply a
      penalalty on top of applicable interest rate for Pre-mature closure of
      accounts. e.g. “1%” means 1% less than the interest rate applicable. |

      | **preClosurePenalInterestOnTypeId** | *Optional*: Must provide when
      preClosurePenalApplicable is true. Used along with preClosurePenalInterest
      to decide what should be the applicable interest rate to which penalalty
      can be applied on Pre-mature closure of accounts. 1=Whole Term, 2=Till
      Premature withdrawal e.g. “1%” means 1% less than the interest rate
      applicable till premature withdrawal.. |

      | **withHoldTax** | *Optional*: If tax group provided at product level,
      will allow to Enable or disable withhold tax on interest posting for
      savings account |
  - name: Loan Accounts
    description: >-
      The API concept of **loans** models the **loan application process** and
      the **loan contract/monitoring process**.


      Endpoints in this folder allows you to create, retrieve, update, delete
      loan accounts. Some other transactions like reject loan, disburse approve
      loan accounts are performed too.
  - name: Transactions1
  - name: Loan Products
  - name: Loan Repayment Schedule
  - name: Ledger & Settlements
    description: >-
      #### Overview


      Ledger accounts represent an Individual account within an Organization's
      Chart Of Accounts(COA) and are assigned a name and unique number by which
      they can be identified.


      All transactions relating to a company's assets, liabilities, owners'
      equity, revenue and expenses are recorded against these accounts.
  - name: Settlements
    description: >-
      A journal entry refers to the logging of transactions against general
      ledger accounts. A journal entry may consist of several line items, each
      of which is either a "debit" or a "credit". The total amount of the debits
      must equal the total amount of the credits or the journal entry is said to
      be "unbalanced".


      A journal entry directly changes the account balances on the general
      ledger.
  - name: Intra Transfer
    description: >-
      #### Overview


      Ability to be able to transfer monetary funds from one account to another.


      **Note**: At present only savings account to savings account transfers are
      supported.


      ##### Mandatory Parameters


      | Syntax | Description |

      | --- | --- |

      | fromOfficeId | The `id` of the office/branch from which the transfer is
      made. |

      | fromClientId | The `id` of the client from which the transfer is made. |

      | fromAccountType | The type of account from which the transfer is made.
      1=Loan Account, 2=Savings Account |

      | fromAccountId | The `id` of the account from which the transfer is made.
      |

      | toOfficeId | The `id` of the office/branch to which the transfer is
      made. |

      | toClientId | The `id` of the client to which the transfer is made. |

      | toAccountType | The type of account to which the transfer is made.
      1=Loan Account, 2=Savings Account |

      | toAccountId | The id of the account to which the transfer is made. The
      account must be active and must have the same currency as that of the
      selected fromAccountId. |

      | transferDate | The date of the transfer. Requires dateFormat and locale
      parameters. |

      | transferAmount | The amount of the transfer. Requires locale parameter.
      |

      | transferDescription | Description of the transfer itself. |
  - name: Loops
  - name: Payments
  - name: NIBSS
  - name: Transmitta
  - name: Setup
  - name: Vnuban
  - name: Payout
  - name: Transfer
  - name: Transactions12
  - name: Pooler
  - name: Transaction
  - name: Account
  - name: Child Account
  - name: Webhooks
  - name: Administration
  - name: Purse
  - name: Codes & Code Values
  - name: SystemTiers
  - name: Charge
paths:
  /savingsaccounts/{savingsId}/block:
    post:
      tags:
        - Deposit Accounts
        - Transactions
        - ISO Block
      summary: Block Savings Account
      operationId: blockSavingsAccount
      parameters:
        - name: savingsId
          in: path
          required: true
          schema:
            type: string
            example: '1'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
            examples:
              Block Savings Account:
                value: {}
      responses:
        '200':
          description: '{}'
          content:
            application/json:
              schema:
                type: object
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````